# mdrs-client-python
The mdrs-client-python is python library and a command-line client for up- and downloading files to and from MDRS based repository.

## Installing
```
pip install -e .
```

## Example Usage

### config create
Create remote host configuration
```
$ mdrs config create neurodata https://neurodata.riken.jp/api
```

### login
login to remote host
```
$ mdrs login neurodata:
Username: (enter your login name)
Password: (enter your password)
```

### logout
Logout from remote host
```
$ mdrs logout neurodata:
```

### whoami
Print effective user name
```
$ mdrs whoami neurodata:
```

### labs
List all laboratories
```
$ mdrs labs neurodata:
```

### ls
List the folder contents
```
$ mdrs ls neurodata:/NIU/Repository/
```

### mkdir
Create a new folder
```
$ mdrs mkdir neurodata:/NIU/Repository/TEST
```

### rmdir
Remove a existing folder
```
$ mdrs rmdir neurodata:/NIU/Repository/TEST
```

### metadata
Get a folder metadata
```
$ mdrs metadata neurodata:/NIU/Repository/TEST
```

### upload
Upload the file or directories
```
$ mdrs upload ./sample.dat neurodata:/NIU/Repository/TEST/
$ mdrs upload -r ./dataset neurodata:/NIU/Repository/TEST/
```

### download
Download a file
```
$ mdrs download neurodata:/NIU/Repository/TEST/sample.dat ./
```

### move
Move a file
```
$ mdrs move neurodata:/NIU/Repository/TEST/sample.dat neurodata:/NIU/Repository/TEST2/sample2.dat
```

### remove
Remove a file
```
$ mdrs remove neurodata:/NIU/Repository/TEST2/sample2.dat
```

### file-metadata
Get the file metadata
```
$ mdrs file-metadata neurodata:/NIU/Repository/TEST/dataset/sample.dat
```

### help
Show the help message and exit
```
$ mdrs -h
```
